import 'package:get/get.dart';

class Translation extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'ru_RU': {
          'start': 'Начать',
          'description':
              'Приложение погоды, которое предоставляет прогнозы в режиме реального времени, а также ежечасные, ежедневные и еженедельные прогнозы для любого местоположения.',
          'name': 'Погода',
          'search': 'Поиск...',
          'loading': 'Загрузка...',
          'searchCity': 'Найдите свой город',
          'humidity': 'Влажность',
          'wind': 'Ветер',
          'visibility': 'Видимость',
          'feels': 'Ощущается',
          'evaporation': 'Испарения',
          'precipitation': 'Осадки',
          'direction': 'Направление',
          'pressure': 'Давление',
          'rain': 'Дождь',
          'clear_sky': 'Чистое небо',
          'cloudy': 'Облачно',
          'overcast': 'Пасмурно',
          'fog': 'Туман',
          'drizzle': 'Морось',
          'drizzling_rain': 'Моросящий дождь',
          'freezing_rain': 'Ледяной дождь',
          'heavy_rains': 'Ливневые дожди',
          'snow': 'Снег',
          'thunderstorm': 'Гроза',
          'kph': 'км/ч',
          'mph': 'миль/ч',
          'mi': 'миль',
          'km': 'км',
          'inch': 'дюйм',
          'mm': 'мм',
          'hPa': 'гПа',
          'settings': 'Настр.',
          'no_inter': 'Нет интернета',
          'on_inter':
              'Включите интернет для получения метеорологических данных.',
          'location': 'Местоположение',
          'no_location':
              'Включите службу определения местоположения для получения метеорологических данных для текущего местоположения.',
          'theme': 'Тёмная тема',
          'low': 'Низкое',
          'high': 'Высокое',
          'normal': 'Нормальное',
          'lat': 'Широта',
          'lon': 'Долгота',
          'create': 'Создание',
          'city': 'Город',
          'district': 'Район',
          'noWeatherCard': 'Добавьте город',
          'deletedCardWeather': 'Удаление города',
          'deletedCardWeatherQuery': 'Вы уверены, что хотите удалить город?',
          'delete': 'Удалить',
          'cancel': 'Отмена',
          'time': 'Время в городе',
          'validateName': 'Пожалуйста, введите название',
          'measurements': 'Система мер',
          'degrees': 'Градусы',
          'celsius': 'Цельсия',
          'fahrenheit': 'Фаренгейта',
          'imperial': 'Имперская',
          'metric': 'Метрическая',
          'validateValue': 'Пожалуйста, введите значение',
          'validateNumber': 'Пожалуйста, введите число',
          'validate90': 'Значение должно быть в диапазоне от -90 до 90',
          'validate180': 'Значение должно быть в диапазоне от -180 до 180',
          'notifications': 'Уведомления',
          'sunrise': 'Рассвет',
          'sunset': 'Закат',
          'timeformat': 'Формат времени',
          '12': '12-часовой',
          '24': '24-часовой',
          'cloudcover': 'Облачный покров',
          'uvIndex': 'УФ-индекс',
          'materialColor': 'Использовать системный цвет (Android 12+)',
          'uvLow': 'Низкий',
          'uvAverage': 'Умеренный',
          'uvHigh': 'Высокий',
          'uvVeryHigh': 'Очень высокий',
          'uvExtreme': 'Экстремальный',
          'weatherMore': 'Прогноз погоды на 10 дней',
          'windgusts': 'Шквал',
          'north': 'Север',
          'northeast': 'Северо-восток',
          'east': 'Восток',
          'southeast': 'Юго-восток',
          'south': 'Юг',
          'southwest': 'Юго-запад',
          'west': 'Запад',
          'northwest': 'Северо-запад',
          'project': 'Проект на',
          'version': 'Версия приложения',
          'precipitationProbabilit': 'Вероятность выпадения осадков',
          'apparentTemperatureMin': 'Минимальная ощущаемая температура',
          'apparentTemperatureMax': 'Максимальная ощущаемая температура',
        },
        'en_US': {
          'start': 'Get Started',
          'description':
              'Weather app that provides real-time forecasts, and hourly, daily and weekly forecasts for any location.',
          'name': 'Weather',
          'search': 'Search...',
          'loading': 'Loading...',
          'searchCity': 'Find your city',
          'humidity': 'Humidity',
          'wind': 'Wind',
          'visibility': 'Visibility',
          'feels': 'Feels',
          'evaporation': 'Evapotranspiration',
          'precipitation': 'Precipitation',
          'direction': 'Direction',
          'pressure': 'Pressure',
          'rain': 'Rain',
          'clear_sky': 'Clear sky',
          'cloudy': 'Cloudy',
          'overcast': 'Overcast',
          'fog': 'Fog',
          'drizzle': 'Drizzle',
          'drizzling_rain': 'Freezing Drizzle',
          'freezing_rain': 'Freezing Rain',
          'heavy_rains': 'Rain showers',
          'snow': 'Snow',
          'thunderstorm': 'Thunderstorm',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Set.',
          'no_inter': 'No Internet',
          'on_inter': 'Turn on the Internet to get meteorological data.',
          'location': 'Location',
          'no_location':
              'Enable the location service to get weather data for the current location.',
          'theme': 'Dark theme',
          'low': 'Low',
          'high': 'High',
          'normal': 'Normal',
          'lat': 'Latitude',
          'lon': 'Longitude',
          'create': 'Create',
          'city': 'City',
          'district': 'District',
          'noWeatherCard': 'Add a city',
          'deletedCardWeather': 'Deleting a city',
          'deletedCardWeatherQuery':
              'Are you sure you want to delete the city?',
          'delete': 'Delete',
          'cancel': 'Cancel',
          'time': 'Time in the city',
          'validateName': 'Please enter the name',
          'measurements': 'System of measures',
          'degrees': 'Degrees',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Metric',
          'validateValue': 'Please enter a value',
          'validateNumber': 'Please enter a valid number',
          'validate90': 'Value must be between -90 and 90',
          'validate180': 'Value must be between -180 and 180',
          'notifications': 'Notifications',
          'sunrise': 'Sunrise',
          'sunset': 'Sunset',
          'timeformat': 'Time format',
          '12': '12-hour',
          '24': '24-hour',
          'cloudcover': 'Сloudcover',
          'uvIndex': 'UV-index',
          'materialColor': 'Use system color (Android 12+)',
          'uvLow': 'Low',
          'uvAverage': 'Moderate',
          'uvHigh': 'High',
          'uvVeryHigh': 'Very high',
          'uvExtreme': 'Extreme',
          'weatherMore': '10-day weather forecast',
          'windgusts': 'Gust',
          'north': 'North',
          'northeast': 'Northeast',
          'east': 'East',
          'southeast': 'Southeast',
          'south': 'South',
          'southwest': 'Southwest',
          'west': 'West',
          'northwest': 'Northwest',
          'project': 'Project on',
          'version': 'Application version',
          'precipitationProbabilit': 'Precipitation probability',
          'apparentTemperatureMin': 'Minimum apparent temperature',
          'apparentTemperatureMax': 'Maximum apparent temperature',
        },
        'fr_FR': {
          'start': 'Démarrer',
          'description':
              'Application météo qui fournit des prévisions en temps réel, horaires, quotidiennes et hebdomadaires pour n\'importe quel lieu.',
          'name': 'Météo',
          'search': 'Rechercher...',
          'loading': 'Chargement...',
          'searchCity': 'Trouver votre ville',
          'humidity': 'Humidité',
          'wind': 'Vent',
          'visibility': 'Visibilité',
          'feels': 'Ressenti',
          'evaporation': 'Evaporation',
          'precipitation': 'Précipitation',
          'direction': 'Direction',
          'pressure': 'Pression',
          'rain': 'Pluie',
          'clear_sky': 'Ciel dégagé',
          'cloudy': 'Nuageux',
          'overcast': 'Couvert',
          'fog': 'Brouillard',
          'drizzle': 'Bruine',
          'drizzling_rain': 'Brouillard givrant',
          'freezing_rain': 'Pluie verglaçante',
          'heavy_rains': 'Averses de pluie',
          'snow': 'Neige',
          'thunderstorm': 'Orage',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Par.',
          'no_inter': 'Pas de réseau',
          'on_inter':
              'Connectez-vous à internet pour obtenir des données météorologiques.',
          'location': 'Localisation',
          'no_location':
              'Activez le service de localisation pour obtenir les données météorologiques de l\'endroit actuel.',
          'theme': 'Theme sombre',
          'low': 'Bas',
          'high': 'Haut',
          'normal': 'Normal',
          'lat': 'Latitude',
          'lon': 'Longitude',
          'create': 'Créer',
          'city': 'Ville',
          'district': 'District',
          'noWeatherCard': 'Ajouter une ville',
          'deletedCardWeather': 'Supprimer une ville',
          'deletedCardWeatherQuery':
              'Êtes-vous sûr de vouloir supprimer la ville ?',
          'delete': 'Supprimer',
          'cancel': 'Annuler',
          'time': 'Heure locale',
          'validateName': 'Veuillez saisir le nom',
          'measurements': 'Système de mesures',
          'degrees': 'Degrés',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Métrique',
          'validateValue': 'Veuillez saisir une valeur',
          'validateNumber': 'Veuillez saisir un numéro valide',
          'validate90': 'La valeur doit être comprise entre -90 et 90',
          'validate180': 'La valeur doit être comprise entre -180 et 180',
          'notifications': 'Notifications',
          'sunrise': 'Lever du soleil',
          'sunset': 'Coucher du soleil',
          'timeformat': 'Format horaire',
          '12': '12 heures',
          '24': '24 heures',
          'cloudcover': 'Сouverture nuageuse',
          'uvIndex': 'UV-indice',
          'materialColor': 'Utiliser la couleur du système (Android 12+)',
          'uvLow': 'Faible',
          'uvAverage': 'Modéré',
          'uvHigh': 'Élevé',
          'uvVeryHigh': 'Très élevé',
          'uvExtreme': 'Extrême',
          'weatherMore': 'Prévisions météo pour 10 jours',
          'windgusts': 'Rafale',
          'north': 'Nord',
          'northeast': 'Nord-Est',
          'east': 'Est',
          'southeast': 'Sud-Est',
          'south': 'Sud',
          'southwest': 'Sud-Ouest',
          'west': 'Ouest',
          'northwest': 'Nord-Ouest',
          'project': 'Project on',
          'version': 'Application version',
          'precipitationProbabilit': 'Probabilité de précipitation',
          'apparentTemperatureMin': 'Température apparente minimale',
          'apparentTemperatureMax': 'Température apparente maximale',
        },
        'it_IT': {
          'start': 'Clicca per iniziare',
          'description':
              'App meteo che fornisce previsioni in tempo reale, oltre a previsioni orarie, giornaliere e settimanali per qualsiasi località.',
          'name': 'Meteo',
          'search': 'Cerca...',
          'loading': 'Caricamento...',
          'searchCity': 'Trova la tua città',
          'humidity': 'Umidità',
          'wind': 'Vento',
          'visibility': 'Visibilità',
          'feels': 'Percepiti',
          'evaporation': 'Evaporazione',
          'precipitation': 'Precipitazione',
          'direction': 'Direzione',
          'pressure': 'Pressione',
          'rain': 'Pioggia',
          'clear_sky': 'Sereno',
          'cloudy': 'Nuvoloso',
          'overcast': 'Coperto',
          'fog': 'Nebbia',
          'drizzle': 'Pioggerella',
          'drizzling_rain': 'Pioggerella Gelata',
          'freezing_rain': 'Pioggia Gelata',
          'heavy_rains': 'Acquazzone',
          'snow': 'Neve',
          'thunderstorm': 'Temporale',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Imposta.',
          'no_inter': 'Non c\'è connessione Internet',
          'on_inter':
              'Attiva la connessione Internet per avere dati meteorologici.',
          'location': 'Posizione',
          'no_location':
              'Abilita il servizio di localizzazione per ottenere i dati meteo per la posizione corrente.',
          'theme': 'Tema scuro',
          'low': 'Basso',
          'high': 'Alto',
          'normal': 'Normale',
          'lat': 'Latitudine',
          'lon': 'Longitudine',
          'create': 'Creare',
          'city': 'Città',
          'district': 'Regione',
          'noWeatherCard': 'Aggiungi una città',
          'deletedCardWeather': 'Rimozione della città',
          'deletedCardWeatherQuery':
              'Sei sicuro di voler rimuovere questa città?',
          'delete': 'Elimina',
          'cancel': 'Annulla',
          'time': 'Orario locale',
          'validateName': 'Si prega di inserire il nome',
          'measurements': 'Sistema di misure',
          'degrees': 'Gradi',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperiale',
          'metric': 'Metrico',
          'validateValue': 'Si prega di inserire il valore',
          'validateNumber': 'Si prega di inserire il numero',
          'validate90': 'Il valore deve essere compreso tra -90 e 90',
          'validate180': 'Il valore deve essere compreso tra -180 e 180',
          'notifications': 'Notifiche',
          'sunrise': 'Alba',
          'sunset': 'Tramonto',
          'timeformat': 'Formato ora',
          '12': '12 ore',
          '24': '24 ore',
          'cloudcover': 'Copertura nuvolosa',
          'uvIndex': 'UV-indice',
          'materialColor': 'Usare il colore di sistema (Android 12+)',
          'uvLow': 'Basso',
          'uvAverage': 'Moderato',
          'uvHigh': 'Alto',
          'uvVeryHigh': 'Molto alto',
          'uvExtreme': 'Estremo',
          'weatherMore': 'Previsioni del tempo per 10 giorni',
          'windgusts': 'Raffica',
          'north': 'Nord',
          'northeast': 'Nord-est',
          'east': 'Est',
          'southeast': 'Sud-est',
          'south': 'Sud',
          'southwest': 'Sud-ovest',
          'west': 'Ovest',
          'northwest': 'Nord-ovest',
          'project': 'Progetto su',
          'version': 'Versione dell\'applicazione',
          'precipitationProbabilit': 'Probabilità di precipitazione',
          'apparentTemperatureMin': 'Temperatura apparente minima',
          'apparentTemperatureMax': 'Temperatura apparente massima',
        },
        'de_DE': {
          'start': 'Los gehts',
          'description':
              'Wetter-App, die Echtzeit-Vorhersagen sowie stündliche, tägliche und wöchentliche Vorhersagen für jeden Standort bietet.',
          'name': 'Wetter',
          'search': 'Suchen...',
          'loading': 'Lädt...',
          'searchCity': 'Finde deine Stadt',
          'humidity': 'Luftfeuchtigkeit',
          'wind': 'Wind',
          'visibility': 'Sichtweite',
          'feels': 'Gefühlt',
          'evaporation': 'Verdunstung',
          'precipitation': 'Niederschlag',
          'direction': 'Richtung',
          'pressure': 'Druck',
          'rain': 'Regen',
          'clear_sky': 'Klarer Himmel',
          'cloudy': 'Bewölkt',
          'overcast': 'Bedeckt',
          'fog': 'Nebel',
          'drizzle': 'Nieselregen',
          'drizzling_rain': 'Gefrierender Nieselregen',
          'freezing_rain': 'Gefrierender Regen',
          'heavy_rains': 'Regenschauer',
          'snow': 'Schnee',
          'thunderstorm': 'Gewitter',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Einstellungen',
          'no_inter': 'Keine Internetverbindung',
          'on_inter':
              'Schalte das Internet ein, um meteorologische Daten zu erhalten.',
          'location': 'Standort',
          'no_location':
              'Aktiviere den Standortdienst, um Wetterdaten für den aktuellen Standort zu erhalten.',
          'theme': 'Dunkles Design',
          'low': 'Niedrig',
          'high': 'Hoch',
          'normal': 'Normal',
          'lat': 'Breitengrad',
          'lon': 'Längengrad',
          'create': 'Erstellen',
          'city': 'Stadt',
          'district': 'Bezirk',
          'noWeatherCard': 'Füge eine Stadt hinzu',
          'deletedCardWeather': 'Stadt löschen',
          'deletedCardWeatherQuery':
              'Sind Sie sicher, dass Sie die Stadt löschen möchten?',
          'delete': 'Löschen',
          'cancel': 'Abbrechen',
          'time': 'Ortszeit',
          'validateName': 'Bitte geben Sie den Namen ein',
          'measurements': 'Einheitensystem',
          'degrees': 'Grade',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Metrisch',
          'validateValue': 'Bitte geben Sie einen Wert ein',
          'validateNumber': 'Bitte geben Sie eine Nummer ein',
          'validate90': 'Der Wert muss zwischen -90 und 90 liegen',
          'validate180': 'Der Wert muss zwischen -180 und 180 liegen',
          'notifications': 'Benachrichtigungen',
          'sunrise': 'Sonnenaufgang',
          'sunset': 'Sonnenuntergang',
          'timeformat': 'Zeitformat',
          '12': '12-stunden',
          '24': '24-stunden',
          'cloudcover': 'Wolkenbedeckung',
          'uvIndex': 'UV-index',
          'materialColor': 'Systemfarbe verwenden (Android 12+)',
          'uvLow': 'Niedrig',
          'uvAverage': 'Mäßig',
          'uvHigh': 'Hoch',
          'uvVeryHigh': 'Sehr hoch',
          'uvExtreme': 'Extrem',
          'weatherMore': '10-Tage-Wettervorhersage',
          'windgusts': 'Böe',
          'north': 'Norden',
          'northeast': 'Nordosten',
          'east': 'Osten',
          'southeast': 'Südosten',
          'south': 'Süden',
          'southwest': 'Südwesten',
          'west': 'Westen',
          'northwest': 'Nordwesten',
          'project': 'Projekt auf',
          'version': 'Anwendungsversion',
          'precipitationProbabilit': 'Niederschlagswahrscheinlichkeit',
          'apparentTemperatureMin': 'Minimale gefühlte Temperatur',
          'apparentTemperatureMax': 'Maximale gefühlte Temperatur',
        },
        'tr_TR': {
          'start': 'Başlat',
          'description':
              'Herhangi bir konum için gerçek zamanlı, saatlik, günlük ve haftalık hava durumu tahminleri sunan bir hava durumu uygulaması.',
          'name': 'Hava Durumu',
          'search': 'Arayış...',
          'loading': 'Yükleniyor...',
          'searchCity': 'Şehrinizi bulun',
          'humidity': 'Nem',
          'wind': 'Rüzgar',
          'visibility': 'Görüş',
          'feels': 'Hissedilen',
          'evaporation': 'Buharlaşma',
          'precipitation': 'Yağış',
          'direction': 'Yön',
          'pressure': 'Basınç',
          'rain': 'Yağmur',
          'clear_sky': 'Açık gökyüzü',
          'cloudy': 'Bulutlu',
          'overcast': 'Kapalı',
          'fog': 'Sis',
          'drizzle': 'Çiseleme',
          'drizzling_rain': 'Çiseleyen Yağmur',
          'freezing_rain': 'Dondurucu Yağmur',
          'heavy_rains': 'Aşırı Yağmurlar',
          'snow': 'Kar',
          'thunderstorm': 'Gök Gürültülü Fırtına',
          'kph': 'km/sa',
          'mph': 'mil/sa',
          'mi': 'mil',
          'km': 'km',
          'inch': 'inç',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Ayarlar',
          'no_inter': 'İnternet yok',
          'on_inter': 'Hava durumu verilerini almak için interneti açın.',
          'location': 'Konum',
          'no_location':
              'Mevcut konumun hava durumu verilerini almak için konum servisini açın.',
          'theme': 'Karanlık tema',
          'low': 'Düşük',
          'high': 'Yüksek',
          'normal': 'Normal',
          'lat': 'Enlem',
          'lon': 'Boylam',
          'create': 'Oluştur',
          'city': 'Şehir',
          'district': 'İlçe',
          'noWeatherCard': 'Şehri ekle',
          'deletedCardWeather': 'Şehir silme',
          'deletedCardWeatherQuery':
              'Şehri silmek istediğinizden emin misiniz?',
          'delete': 'Sil',
          'cancel': 'İptal',
          'time': 'Şehirde Saat',
          'validateName': 'Lütfen bir isim girin',
          'measurements': 'Ölçüm sistemi',
          'degrees': 'Dereceler',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'İmparatorluk',
          'metric': 'Metrik',
          'validateValue': 'Lütfen bir değer girin',
          'validateNumber': 'Lütfen bir sayı girin',
          'validate90': 'Değer -90 ile 90 arasında olmalıdır',
          'validate180': 'Değer -180 ile 180 arasında olmalıdır',
          'notifications': 'Bildirme',
          'sunrise': 'Güneş doğuşu',
          'sunset': 'Güneş batışı',
          'timeformat': 'Saat biçimi',
          '12': '12 saat',
          '24': '24 saat',
          'cloudcover': 'Bulut örtüsü',
          'uvIndex': 'UV-indeksi',
          'materialColor': 'Sistem rengini kullan (Android 12+)',
          'uvLow': 'Düşük',
          'uvAverage': 'Orta',
          'uvHigh': 'Yüksek',
          'uvVeryHigh': 'Çok yüksek',
          'uvExtreme': 'Aşırı',
          'weatherMore': '10 günlük hava tahmini',
          'windgusts': 'Bir telaş',
          'north': 'Kuzey',
          'northeast': 'Kuzeydoğu',
          'east': 'Doğu',
          'southeast': 'Güneydoğu',
          'south': 'Güney',
          'southwest': 'Güneybatı',
          'west': 'Batı',
          'northwest': 'Kuzeybatı',
          'project': 'Proje üzerinde',
          'version': 'Uygulama sürümü',
          'precipitationProbabilit': 'Yağış olasılığı',
          'apparentTemperatureMin': 'Minimum hissedilen sıcaklık',
          'apparentTemperatureMax': 'Maksimum hissedilen sıcaklık',
        },
        'pt_BR': {
          'start': 'Iniciar',
          'description':
              'Aplicativo de clima em tempo real com previsões horárias, diárias e semanais para qualquer local.',
          'name': 'Clima',
          'search': 'Pesquisar...',
          'loading': 'Carregando...',
          'searchCity': 'Procure sua cidade',
          'humidity': 'Umidade',
          'wind': 'Vento',
          'visibility': 'Visibilidade',
          'feels': 'Sensação',
          'evaporation': 'Evapotranspirações',
          'precipitation': 'Precipitação',
          'direction': 'Direção',
          'pressure': 'Pressão',
          'rain': 'Chuva',
          'clear_sky': 'Céu limpo',
          'cloudy': 'Nublado',
          'overcast': 'Encoberto',
          'fog': 'Névoa',
          'drizzle': 'Garoa',
          'drizzling_rain': 'Chuva fraca',
          'freezing_rain': 'Chuva congelante',
          'heavy_rains': 'Chuva pesada',
          'snow': 'Neve',
          'thunderstorm': 'Tempestade',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Configurações.',
          'no_inter': 'Sem conexão',
          'on_inter': 'Conecte-se a internet para atualizar os dados de clima.',
          'location': 'Localização',
          'no_location':
              'Habilite a localização para obter dados de clima do local atual.',
          'theme': 'Tema escuro',
          'low': 'Baixo',
          'high': 'Alto',
          'normal': 'Normal',
          'lat': 'Latitude',
          'lon': 'Longitude',
          'create': 'Criar',
          'city': 'Cidade',
          'district': 'Distrito',
          'noWeatherCard': 'Adicione uma cidade',
          'deletedCardWeather': 'Deletando a cidade',
          'deletedCardWeatherQuery':
              'Você tem certeza que deseja remover esta cidade?',
          'delete': 'Deletar',
          'cancel': 'Cancelar',
          'time': 'Clima na cidade',
          'validateName': 'Por favor escreva um nome',
          'measurements': 'Sistema de medidas',
          'degrees': 'Graus',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Métrico',
          'validateValue': 'Por favor escreva um valor',
          'validateNumber': 'Por favor escreva um número válido',
          'validate90': 'Valor deve estar entre -90 and 90',
          'validate180': 'Valor deve estar entre -180 and 180',
          'notifications': 'Notificações',
          'sunrise': 'Nascer do sol',
          'sunset': 'Pôr do sol',
          'timeformat': 'Formato de hora',
          '12': '12 horas',
          '24': '24 horas',
          'cloudcover': 'Сobertura de nuvens',
          'uvIndex': 'UV-índice',
          'materialColor': 'Usar cor do sistema (Android 12+)',
          'uvLow': 'Baixo',
          'uvAverage': 'Moderado',
          'uvHigh': 'Alto',
          'uvVeryHigh': 'Muito alto',
          'uvExtreme': 'Extremo',
          'weatherMore': 'Previsão do tempo para 10 dias',
          'windgusts': 'Rajadas',
          'north': 'Norte',
          'northeast': 'Nordeste',
          'east': 'Leste',
          'southeast': 'Sudeste',
          'south': 'Sul',
          'southwest': 'Sudoeste',
          'west': 'Oeste',
          'northwest': 'Noroeste',
          'project': 'Projeto em',
          'version': 'Versão do aplicativo',
          'precipitationProbabilit': 'Probabilidade de precipitação',
          'apparentTemperatureMin': 'Temperatura aparente mínima',
          'apparentTemperatureMax': 'Temperatura aparente máxima',
        },
        'es_ES': {
          'start': 'Empezar',
          'description':
              'Aplicación del tiempo con la que obtener información en tiempo real sobre la predicción del clima por horas, días y semanas.',
          'name': 'Tiempo',
          'search': 'Buscar...',
          'loading': 'Cargando...',
          'searchCity': 'Busca tu ciudad',
          'humidity': 'Humedad',
          'wind': 'Viento',
          'visibility': 'Visibilidad',
          'feels': 'Sensación térmica',
          'evaporation': 'Evaporación',
          'precipitation': 'Precipitación',
          'direction': 'Dirección',
          'pressure': 'Presión',
          'rain': 'Lluvia',
          'clear_sky': 'Soleado',
          'cloudy': 'Nuboso',
          'overcast': 'Cubierto de nubes',
          'fog': 'Niebla',
          'drizzle': 'Llovizna',
          'drizzling_rain': 'Llovizna helada',
          'freezing_rain': 'Lluvia helada',
          'heavy_rains': 'Chubasco intenso',
          'snow': 'Nieve',
          'thunderstorm': 'Tormenta',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Ajustes',
          'no_inter': 'Sin conexión a Internet',
          'on_inter':
              'Conéctate a Internet para obtener información meteorológica.',
          'location': 'Ubicación',
          'no_location':
              'Activa la localización para obtener información meteorológica para tu ubicación actual.',
          'theme': 'Tema oscuro',
          'low': 'Bajo',
          'high': 'Alto',
          'normal': 'Normal',
          'lat': 'Latitud',
          'lon': 'Longitud',
          'create': 'Crear',
          'city': 'Ciudad',
          'district': 'Distrito',
          'noWeatherCard': 'Añadir una ciudad',
          'deletedCardWeather': 'Eliminar una ciudad',
          'deletedCardWeatherQuery':
              '¿Estás seguro de que quieres eliminar la ciudad?',
          'delete': 'Eliminar',
          'cancel': 'Cancelar',
          'time': 'Hora en la ciudad',
          'validateName': 'Por favor, introduce un nombre',
          'measurements': 'Sistema de medidas',
          'degrees': 'Grados',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Métrico',
          'validateValue': 'Por favor, introduce un valor',
          'validateNumber': 'Por favor, introduce un número válido',
          'validate90': 'El valor tiene que estar entre -90 y 90',
          'validate180': 'El valor tiene que estar entre -180 y 180',
          'notifications': 'Notificaciones',
          'sunrise': 'Amanecer',
          'sunset': 'Atardecer',
          'timeformat': 'Formato de hora',
          '12': '12 horas',
          '24': '24 horas',
          'cloudcover': 'Cobertura de nubes',
          'uvIndex': 'UV-índice',
          'materialColor': 'Usar color del sistema (Android 12+)',
          'uvLow': 'Bajo',
          'uvAverage': 'Moderado',
          'uvHigh': 'Alto',
          'uvVeryHigh': 'Muy alto',
          'uvExtreme': 'Extremo',
          'weatherMore': 'Pronóstico del tiempo para 10 días',
          'windgusts': 'Ráfagas',
          'north': 'Norte',
          'northeast': 'Noreste',
          'east': 'Este',
          'southeast': 'Sureste',
          'south': 'Sur',
          'southwest': 'Suroeste',
          'west': 'Oeste',
          'northwest': 'Noroeste',
          'project': 'Proyecto en',
          'version': 'Versión de la aplicación',
          'precipitationProbabilit': 'Probabilidad de precipitación',
          'apparentTemperatureMin': 'Temperatura aparente mínima',
          'apparentTemperatureMax': 'Temperatura aparente máxima',
        },
        'sk_SK': {
          'start': 'Začať',
          'description':
              'Aplikácia, ktorá poskytuje predpoveď počasia v reálnom čase a aj hodinové, denné a týždenné predpovede pre akékoľvek miesto.',
          'name': 'Počasie',
          'search': 'Hľadať...',
          'loading': 'Načítava sa...',
          'searchCity': 'Nájdite svoje miesto',
          'humidity': 'Vlhkosť',
          'wind': 'Vietor',
          'visibility': 'Viditeľnosť',
          'feels': 'Pocitová teplota',
          'evaporation': 'Evapotranspirácia',
          'precipitation': 'Zrážky',
          'direction': 'Smer',
          'pressure': 'Tlak',
          'rain': 'Dážď',
          'clear_sky': 'Jasno',
          'cloudy': 'Oblačno',
          'overcast': 'Zamračené',
          'fog': 'Hmla',
          'drizzle': 'Mrholenie',
          'drizzling_rain': 'Mrznúce mrholenie',
          'freezing_rain': 'Mrazivý dážď',
          'heavy_rains': 'Prehánky',
          'snow': 'Sneh',
          'thunderstorm': 'Búrka',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Set.',
          'no_inter': 'Žiadny internet',
          'on_inter':
              'Pripojte sa na internet a získajte meteorologické údaje.',
          'location': 'Poloha',
          'no_location':
              'Ak chcete získať údaje o počasí pre aktuálnu polohu, povoľte službu určovania polohy.',
          'theme': 'Tmavý režim',
          'low': 'Nízky',
          'high': 'Vysoký',
          'normal': 'Normálny',
          'lat': 'Zemepisná šírka',
          'lon': 'Zemepisná dĺžka',
          'create': 'Vytvoriť',
          'city': 'Miesto',
          'district': 'Okres',
          'noWeatherCard': 'Pridať mesto',
          'deletedCardWeather': 'Vymazať mesto',
          'deletedCardWeatherQuery': 'Naozaj chcete odstrániť mesto?',
          'delete': 'Odstrániť',
          'cancel': 'Zrušiť',
          'time': 'Čas v meste',
          'validateName': 'Prosím zadajte názov',
          'measurements': 'Jednotky merania',
          'degrees': 'Stupňe',
          'celsius': 'Celzius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperiálne',
          'metric': 'Metrické',
          'validateValue': 'Zadajte hodnotu',
          'validateNumber': 'Vložte platné číslo',
          'validate90': 'Hodnota musí byť medzi -90 a 90',
          'validate180': 'Hodnota musí byť medzi -180 a 180',
          'notifications': 'Notifikácie',
          'sunrise': 'Východ slnka',
          'sunset': 'Západ slnka',
          'timeformat': 'Formát času',
          '12': '12-hodinový',
          '24': '24-hodinový',
          'cloudcover': 'Oblačnosť',
          'uvIndex': 'UV-index',
          'materialColor': 'Použiť farbu systému (Android 12+)',
          'uvLow': 'Nízky',
          'uvAverage': 'Mierny',
          'uvHigh': 'Vysoký',
          'uvVeryHigh': 'Veľmi vysoký',
          'uvExtreme': 'Extrémny',
          'weatherMore': 'Predpoveď počasia na 10 dní',
          'windgusts': 'Squall',
          'north': 'Sever',
          'northeast': 'Severo-Východ',
          'east': 'Východ',
          'southeast': 'Juhovýchod',
          'south': 'Juž',
          'southwest': 'Juhozápad',
          'west': 'Západ',
          'northwest': 'Severo-Západ',
          'project': 'Projekt na',
          'version': 'Verzia aplikácie',
          'precipitationProbabilit': 'Pravdepodobnosť zrážok',
          'apparentTemperatureMin': 'Minimálna viditeľná teplota',
          'apparentTemperatureMax': 'Maximálna viditeľná teplota',
        },
        'nl_NL': {
          'start': 'Beginnen',
          'description':
              'Weer app dat zowel real-time verwachtingen, als uurlijkse, dagelijkse en weekelijkse verwachtingen biedt voor elke locatie.',
          'name': 'Weer',
          'search': 'Zoeken...',
          'loading': 'Laden...',
          'searchCity': 'Vind jouw stad',
          'humidity': 'Luchtvochtigheid',
          'wind': 'Wind',
          'visibility': 'Zichtbaarheid',
          'feels': 'Voelt',
          'evaporation': 'Verdamping',
          'precipitation': 'Neerslag',
          'direction': 'Richting',
          'pressure': 'Druk',
          'rain': 'Regen',
          'clear_sky': 'Heldere lucht',
          'cloudy': 'Bewolkt',
          'overcast': 'Betrokken',
          'fog': 'Mist',
          'drizzle': 'Motregen',
          'drizzling_rain': 'Ijskoude motregen',
          'freezing_rain': 'Ijskoude regen',
          'heavy_rains': 'Regendouche',
          'snow': 'Sneeuw',
          'thunderstorm': 'Onweersbui',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Instellingen.',
          'no_inter': 'Geen Internet',
          'on_inter':
              'Schakel Internet in om meteorologische gegevens te ontvangen.',
          'location': 'Locatie',
          'no_location':
              'Schakel de locatiedienst in om weer gegevens voor de huidige locatie te ontvangen.',
          'theme': 'Donker thema',
          'low': 'Laag',
          'high': 'Hoog',
          'normal': 'Normaal',
          'lat': 'Breedtegraad',
          'lon': 'Lengtegraad',
          'create': 'Creëer',
          'city': 'Stad',
          'district': 'District',
          'noWeatherCard': 'Voeg een stad toe',
          'deletedCardWeather': 'Verwijder een city',
          'deletedCardWeatherQuery':
              'Weet je zeker dat je de stad wilt verwijderen?',
          'delete': 'Verwijder',
          'cancel': 'Annuleer',
          'time': 'Tijd in de stad',
          'validateName': 'Vul de naam in',
          'measurements': 'Meetsysteem',
          'degrees': 'Graden',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperiaal',
          'metric': 'Metrisch',
          'validateValue': 'Vul een waarde in',
          'validateNumber': 'Vul een geldig nummer in',
          'validate90': 'Waarde moet tussen -90 and 90 zijn',
          'validate180': 'Waarde moet tussen -180 and 180 zijn',
          'notifications': 'Notificaties',
          'sunrise': 'Zonsopkomst',
          'sunset': 'Zonsondergang',
          'timeformat': 'Tijdnotatie',
          '12': '12-uur',
          '24': '24-uur',
          'cloudcover': 'Bewolking',
          'uvIndex': 'UV-index',
          'materialColor': 'Gebruik systeem kleur (Android 12+)',
          'uvLow': 'Laag',
          'uvAverage': 'Matig',
          'uvHigh': 'Hoog',
          'uvVeryHigh': 'Erg hoog',
          'uvExtreme': 'Extreem',
          'weatherMore': '10-daagse weersverwachting',
          'windgusts': 'Windstoten',
          'north': 'Noord',
          'northeast': 'Noordoost',
          'east': 'Oost',
          'southeast': 'Zuidoost',
          'south': 'Zuid',
          'southwest': 'Zuidwest',
          'west': 'West',
          'northwest': 'Noordwest',
          'project': 'Project op',
          'version': 'Applicatieversie',
          'precipitationProbabilit': 'Kans op neerslag',
          'apparentTemperatureMin': 'Minimum schijnbare temperatuur',
          'apparentTemperatureMax': 'Maximale schijnbare temperatuur',
        },
      };
}
